--This Skin is for the Original Bagnon/Banknon Addon found here: http://ui.worldofwar.net/ui.php?id=4060
--and also for the Bagnon Addon formerly known as vBagnon, found here: http://wow-en.curse-gaming.com/files/details/2090/vbagnon/

function Skinner:Bagnon(LoD)
	if not self.db.profile.ContainerFrames then return end

--	if Addon is LoD then it's the original one
	if LoD then 
		self:applySkin(Bagnon)
--	otherwise it's the renamed vBagnon one
	else
		self:SecureHook(Bagnon, "CreateInventory", function()
			self:applySkin(Bagnon.bags)
			end)
	
		self:SecureHook(Bagnon, "CreateBank", function()
			self:applySkin(Bagnon.bank)
			end)
	end
	
end

function Skinner:Banknon()
	if not self.db.profile.ContainerFrames then return end

	self:applySkin(Banknon)

end

function Skinner:Bagnon_Forever()
	if not self.db.profile.ContainerFrames then return end

	self:SecureHook("BagnonDBUI_ShowCharacterList", function(frame)
		if not BagnonDBUICharacterList.skinned then
			self:applySkin(BagnonDBUICharacterList)
			BagnonDBUICharacterList.skinned = True
		end
		end)
	
end

function Skinner:Bagnon_Options()

	self:keepRegions(BagnonOptions, {10,11,12,13,14,15,16,17,18,19})
	self:applySkin(BagnonOptions, nil)

end
